---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab repo transfer`

Transfer a repository to a new namespace.

```plaintext
glab repo transfer [repo] [flags]
```

## Examples

```plaintext
glab repo transfer profclems/glab --target-namespace notprofclems

```

## Options

```plaintext
  -t, --target-namespace string   The namespace where your project should be transferred to.
  -y, --yes                       Warning: Skip confirmation prompt and force transfer operation. Transfer cannot be undone.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
